Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.model.impl
Class CellBase

    java.lang.Object
      com.tonbeller.jpivot.olap.model.impl.CellBase

All Implemented Interfaces:
  Cell, Decorator, PropertyHolder, Visitable

Direct Known Subclasses:
  MondrianCell, XMLA_Cell

    public abstract class CellBase

extends java.lang.Object
implements Cell

Cell base for both XMLA and Mondrian

Field Summary
`protected java.lang.String` | `formattedValue`

Constructor Summary
`CellBase()`

Method Summary
`void` | `accept(Visitor visitor)`
`void` | `addProperty(java.lang.String prop, java.lang.String value)` add property to cell
`abstract NumberFormat` | `getFormat()` If the cells value represents a java.lang.Number, return its format.
`java.lang.String` | `getFormattedValue()` return the formatted value of the cell
`Property[]` | `getProperties()` get all properties of this member
`Property` | `getProperty(java.lang.String name)` get a specific property of this member
`java.lang.Object` | `getRootDecoree()` returns the object that has been created by the olap server.
`abstract java.lang.Object` | `getValue()` return the value of the cell
`abstract boolean` | `isNull()` true if the cell is null
`void` | `setFormattedValue(java.lang.String string, FormatStringParser parser)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### formattedValue

    protected java.lang.String formattedValue

Constructor Detail

### CellBase

    public CellBase()

Method Detail

### getValue

    public abstract java.lang.Object getValue()

  Description copied from interface: `Cell`
  return the value of the cell

  Specified by:
    `getValue` in interface `Cell`
  See Also:
    `Cell.getValue()`

### getFormat

    public abstract NumberFormat getFormat()

  Description copied from interface: `Cell`
  If the cells value represents a java.lang.Number, return its format. Returns null otherwise.

  Specified by:
    `getFormat` in interface `Cell`
  See Also:
    `Cell.getFormat()`

### getFormattedValue

    public java.lang.String getFormattedValue()

  Description copied from interface: `Cell`
  return the formatted value of the cell

  Specified by:
    `getFormattedValue` in interface `Cell`
  Returns:
    the formatted value String
  See Also:
    `Cell.getFormattedValue()`

### isNull

    public abstract boolean isNull()

  Description copied from interface: `Cell`
  true if the cell is null

  Specified by:
    `isNull` in interface `Cell`
  See Also:
    `Cell.isNull()`

### getProperties

    public Property[] getProperties()

  Description copied from interface: `PropertyHolder`
  get all properties of this member

  Specified by:
    `getProperties` in interface `PropertyHolder`
  See Also:
    `PropertyHolder.getProperties()`

### getProperty

    public Property getProperty(java.lang.String name)

  Description copied from interface: `PropertyHolder`
  get a specific property of this member

  Specified by:
    `getProperty` in interface `PropertyHolder`
  See Also:
    `PropertyHolder.getProperty(String)`

### accept

    public void accept(Visitor visitor)

  Specified by:
    `accept` in interface `Visitable`
  See Also:
    `Visitable.accept(Visitor)`

### getRootDecoree

    public java.lang.Object getRootDecoree()

  Description copied from interface: `Decorator`
  returns the object that has been created by the olap server. If this is part of a decorator chain, unwinds the chain and returns the root of all decorators.

  Specified by:
    `getRootDecoree` in interface `Decorator`
  See Also:
    `Decorator.getRootDecoree()`

### setFormattedValue

    public void setFormattedValue(java.lang.String string,
                                  FormatStringParser parser)

  Parameters:
    `string` -

### addProperty

    public void addProperty(java.lang.String prop,
                            java.lang.String value)

  add property to cell

  Parameters:
    `prop` -
    `value` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD